{if $errors|@count > 0}
    <div class="error">
	<ul>
	    {foreach from=$errors item=error}
		<li>{$error}</li>
	    {/foreach}
	</ul>
    </div>
{/if}

<form action="{$request_uri}" method="post">
    <fieldset {if $acmb_auth_token neq ''}style="display:none"{/if}>
        <div class ="bootstrap">
            <div class="alert alert-info hint">
                <ul>
                    <li>Puede conseguir su auth token <a target="_blank" href="https://acumbamail.com/apidoc/getAuthToken/">aquí</a></li>
                </ul>
            </div>
        </div>
	<legend>{l s='Configuración' mod='acumbamail'}</legend>
	<label>{l s='Auth Token' mod='acumbamail'}</label>
	<div class="margin-form">
	    <input type="text" size="20" name="acmb_auth_token" id="acmb-auth-token-text" value="{$acmb_auth_token}"/>
	</div>
    </fieldset>

{if $acmb_auth_token neq ''}
	<fieldset>
            <legend>Formularios de suscripción</legend>
            {if {$listas|@count} != 0}
                <div class ="bootstrap">
                    <div class="alert alert-info hint">
                        <ul>
                            <li>Seleccione una lista previamente creada en <a target="_blank" href="https://acumbamail.com"/>Acumbamail</a></li>
                            <li>Se mostrarán los formularios asociados a la lista seleccionada</li>
                        </ul>
                    </div>
                </div>
	        <label>Lista</label>
	        <div class="margin-form">
		    <select name="list-general" id="list-general-select">
		        <option value="">--Selecciona una Lista--</option>
		        {foreach $listas as $lista}
			    <option value="{$lista@key}" {if $selected_list["single"] == $lista@key}selected{/if}>{$lista['name']}</option>
		        {/foreach}
		    </select>
                </div>
                <div class ="bootstrap" id="forms-general-info" {if $selected_list["single"] eq ''}style="display:none"{/if}>
                    <div id="forms-general-forms-hint" class="alert alert-info hint" {if $selected_list["single"] eq ''}style="display:none"{/if}>
                        <ul>
                            <li>Seleccione un formulario para que aparezca en su tienda de Prestashop</li>
                        </ul>
                    </div>
                    <div id="forms-general-forms-alert" class="alert alert-danger" style="display:none">
                        <ul>
                            <li>La lista seleccionada no tiene ningún formulario asociado</li>
                            <li>Puede crear nuevos formularios <a id=forms-general-link target=_blank>aquí</a></li>
                        </ul>
                    </div>
                </div>
                <label id="forms-general-label" {if $selected_list["single"] eq ''}style="display:none"{/if}>Formularios</label>
                <div class="margin-form" id="forms-general-div" {if $selected_list["single"] eq ''}style="display:none"{/if}>
                    <select name="forms-general" id="forms-general-select">
                        <option value="">--Selecciona un Formulario--</option>
                        {foreach $forms as $form}
                            <option value="{$form@key}" {if $selected_form["single"] == $form@key}selected{/if}>{$form['name']}</option>
                        {/foreach}
                    </select>
                </div>
            {else}
                <div class="bootstrap">
                    <div id="forms-general-forms-alert" class="alert alert-danger">
                        <ul>
                            <li>Su usuario no tiene ninguna lista asociada</li>
                            <li>Puede crear nuevas listas <a id=forms-general-link target="_blank" href="https://acumbamail.com/lists/">aquí</a></li>
                        </ul>
                    </div>
                </div>
            {/if}
        </fieldset>
        	<fieldset>
            <legend>Sincronización de clientes</legend>
            {if {$listas|@count} != 0}
                <div class ="bootstrap">
                    <div class="alert alert-info hint">
                        <ul>
                            <li>Seleccione una lista previamente creada en <a target="_blank" href="https://acumbamail.com/">Acumbamail</a></li>
                            <li>Después de confirmar su compra, los clientes serán añadidos automáticamente a la lista seleccionada</li>
                        </ul>
                    </div>
                </div>
	        <label>Lista</label>
                <div class="margin-form" id="confirmation-div">
                    <select name="list-subscription">
		        <option value="">--Selecciona una Lista--</option>
		        {foreach $listas as $lista}
			    <option value="{$lista@key}" {if $buyers_list["single"] == $lista@key}selected{/if}>{$lista['name']}</option>
		        {/foreach}
		    </select>
                </div>
                <div class ="bootstrap">
                    <div class="alert alert-info hint">
                        <ul>
                            <li>Al marcar esta casilla los clientes que se suscribieron para recibir la newsletter se añadirán automáticamente a la lista seleccionada</li>
                            <li>Posteriores sincronizaciones deberán ser hechas a través de la configuración de dicho módulo</li>
                        </ul>
                    </div>
                </div>
                <input type="checkbox" name="sync_newsletter_clients" value="sync"> Quiero sincronizar a los clientes suscritos a la newsletter de Prestashop</input>
            {else}
                <div class="bootstrap">
                    <div id="forms-general-forms-alert" class="alert alert-danger">
                        <ul>
                            <li>Su usuario no tiene ninguna lista asociada</li>
                            <li>Puede crear nuevas listas <a id=forms-general-link target="_blank" href="https://acumbamail.com/lists/">aquí</a></li>
                        </ul>
                    </div>
                </div>
            {/if}
	</fieldset>
{/if}
    <left><input type="submit" name="submit_form" class="button" value="{l s='Guardar' mod='acumbamail'}"/></left>
    <left><input type="submit" name="reset_form" class="button" value="{l s='Borrar' mod='acumbamail'}"/></left>
</form>

<br/>

{literal}
<script>
 $(document).ready(function() {
     $('#list-general-select').change(function() {
         $('#forms-general-select').empty();
         $('#forms-general-select').append($('<option>', { value : "" }).text('--Selecciona un Formulario--'));
         var $list_id = $(this).find("option:selected").attr('value');
         
         if ($list_id!=='') {
             $('#forms-general-info').show();
             var $url = 'https://acumbamail.com/api/1/getForms/';
             var $auth_token = $('#acmb-auth-token-text').val();
             $.post($url, {auth_token:$auth_token, list_id:$list_id, response_type:'json'}, function(data) {
                 if (jQuery.isEmptyObject(data)) {
                     $('#forms-general-label').hide();
                     $('#forms-general-div').hide();
                     $('#forms-general-forms-hint').hide();
                     $('#forms-general-link').attr('href', 'https://acumbamail.com/list/'+$list_id+'/form/');
                     $('#forms-general-forms-alert').show();
                 }
                 else {
                     console.log("Size de data no es cero");
                     $.each(data, function(index, value) {
                         $('#forms-general-select').append($('<option>', { value : index }).text(value.name));
                     });
                     $('#forms-general-forms-alert').hide();
                     $('#forms-general-forms-hint').show();
                     $('#forms-general-label').show();
                     $('#forms-general-div').show();
                 }
             });
         }
         else {
             $('#forms-general-info').hide();
         }
     });
 });
</script>
{/literal}
